<template>
  <div>
    <!-- Input for the real value -->
    <input type="hidden" :name="inputName" :value="value.join(',')">

    <rui-tag-selector v-if="ready" v-model="value" :tags="options" />
  </div>
</template>

<script>
import RuiTagSelector from '@experiments-labs/rise_ui/src/components/Inputs/TagSelector/TagSelector.vue'

/**
 * Small app that displays a widget
 */
export default {
  name: 'TagSelectorWidget',
  components: { RuiTagSelector },
  data () {
    return {
      ready: false,
      value: [],
      options: [],
      inputName: null,
      $_iconsFile: null,
    }
  },
  created () {
    this.inputName = this.$_initialData.inputName
    this.value = this.$_initialData.value
    this.options = this.$_initialData.options
    this.ready = true
  },
}
</script>
